<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateEstadoVenta extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('estado_venta')
			->addColumn('venta', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('estado', 'integer', ['length' => 11, 'default' => 1, 'null' => false, 'signed' => false])
			->addColumn('fecha', 'date', ['null' => false])
			->addForeignKey('estado', 'tipo_estado_venta', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('venta', 'venta', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
